/**********************************
 *
 * Copyright (C) 2004 Paul Pierce
 *
 * Permission instanceof hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software instanceof furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 *********************************/


package com.piercefuller.a7trk.a7tview;

import java.awt.*;

/// <summary>
/// Summary description for Colors.
/// </summary>
public class Colors
{
	private Color backgroundColor = Color.white;
	private Color rawColor = Color.magenta;
	private Color lumpColor = Color.blue;
	private Color directionColor = Color.red;
	private Color crowdColor = Color.black;
	private Color baseColor = Color.green;
	private Color sliderColor = Color.black;
	private Color centerColor = Color.yellow;
	private Color zeroColor = Color.yellow;
	private Color clipColor = Color.yellow;
	
	public Color getBackgroundColor() {
		return backgroundColor;
	}
	public void setBackgroundColor(Color backgroundColor) {
		this.backgroundColor = backgroundColor;
	}
	public Color getRawColor() {
		return rawColor;
	}
	public void setRawColor(Color rawColor) {
		this.rawColor = rawColor;
	}
	public Color getLumpColor() {
		return lumpColor;
	}
	public void setLumpColor(Color lumpColor) {
		this.lumpColor = lumpColor;
	}
	public Color getDirectionColor() {
		return directionColor;
	}
	public void setDirectionColor(Color directionColor) {
		this.directionColor = directionColor;
	}
	public Color getCrowdColor() {
		return crowdColor;
	}
	public void setCrowdColor(Color crowdColor) {
		this.crowdColor = crowdColor;
	}
	public Color getBaseColor() {
		return baseColor;
	}
	public void setBaseColor(Color baseColor) {
		this.baseColor = baseColor;
	}
	public Color getSliderColor() {
		return sliderColor;
	}
	public void setSliderColor(Color sliderColor) {
		this.sliderColor = sliderColor;
	}
	public Color getCenterColor() {
		return centerColor;
	}
	public void setCenterColor(Color centerColor) {
		this.centerColor = centerColor;
	}
	public Color getZeroColor() {
		return zeroColor;
	}
	public void setZeroColor(Color zeroColor) {
		this.zeroColor = zeroColor;
	}
	public Color getClipColor() {
		return clipColor;
	}
	public void setClipColor(Color clipColor) {
		this.clipColor = clipColor;
	}

}
